# dotfiles v2

This is the continuation of [my old dotfiles](https://git.disroot.org/FollieHiyuki/dotfiles) without all the Xorg stuff I don't use.

## 🧰 Setup

```bash
# Install `community.general` for 'apk' and 'doas' module if you only installed ansible-core
ansible-galaxy collection install community.general
# Run the playbook
ansible-playbook -i hosts dotfiles.yml
```

`playbooks` directory contains playbooks for tasks unrelated to dotfiles deployment, but useful (for me).

## ✔️ Testing

```bash
# Build the container image
buildah build -t dotfiles -f Dockerfile .
# Exec into the container
podman run --rm -it localhost/dotfiles /bin/ash

# Run the playbook for all tasks inside the container
ansible-playbook -v -i hosts dotfiles.yml --tags 'never,all'
```

## 🖊️ TODO

- [ ] ~~[wayout](https://git.sr.ht/~proycon/wayout)~~
- [x] [fuzzel](https://codeberg.org/dnkl/fuzzel) / [rofi-wayland](https://github.com/lbonn/rofi)
- [ ] GTK/Icons/Cursor theme, Sarasa font bootstraping
- [x] Use Wireplumber lua API for 'volumncontrol' script instead of [pulsemixer](https://github.com/GeorgeFilipkin/pulsemixer)
- [ ] Neovim:
  - [ ] vim.api.nvim{_buf}_set_keymap -> vim.keymap.set
  - [ ] lua autocmd
  - [ ] global statusline
  - [ ] lua filetype autocmd
  - [ ] OneDark theme
- [x] Bootstrap Vagrant with 'bundler' module
- [ ] Use [bubblewrap](https://github.com/containers/bubblewrap) / rootless [podman](https://podman.io/) for some applications
- [x] Replace [libsixel](https://github.com/libsixel/libsixel) with [chafa](https://github.com/hpjansson/chafa/)
- [ ] Separated Waybar config files for Sway and River
- [x] Rewrite River's init file in lua
- [ ] [eww](https://github.com/elkowar/eww)
- [ ] [swhkd](https://github.com/waycrate/swhkd) (maybe?)
- [ ] [senpai](https://git.sr.ht/~taiite/senpai)

## 📓 Notes

The main playbook probably works on whatever Linux distribution you are running (*haven't tested*).

The additional playbooks gear toward my Linux distribution of choice - Alpine Linux. Tasks included in them might not work on other distributions (e.g. `apk` tasks)

## 🌟 Credits

- [eoli3n/dotfiles](https://github.com/eoli3n/dotfiles)
- [samhh/dotfiles](https://github.com/samhh/dotfiles)
- [zsugabubus/dotfiles](https://github.com/zsugabubus/dotfiles)
- [sircmpwn/dotfiles](https://git.sr.ht/~sircmpwn/dotfiles)

## 📄 License

MIT
